## lsb-release-minimal 0.4

=== Makefile ===
INSTALL=install
prefix=/usr

VERSION=0.4

POD2MAN_OPTS=--center="User Commands" --release="lsb_release $(VERSION)"
SHELLCHECK_OPTS=-e SC1090,SC2018,SC2019 -x

all: lsb_release.1

lsb_release.1: lsb_release.pod
	pod2man $(POD2MAN_OPTS) $< > $@

check:
	shellcheck $(SHELLCHECK_OPTS) lsb_release

clean:
	rm -f lsb_release.1

install: lsb_release.1
	$(INSTALL) -D lsb_release $(DESTDIR)$(prefix)/bin/lsb_release
	$(INSTALL) -D lsb_release.1 -m 0444 -t $(DESTDIR)$(prefix)/share/man/man1/

.PHONY: all check clean install

=== debian/changelog ===
lsb-release-minimal (0.4-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * d/control: Build-Depend on podlators-perl for pod2man

 -- Gioele Barabucci <gioele@svario.it>  Fri, 29 Jul 2022 22:23:23 +0200

lsb-release-minimal (0.3-1) experimental; urgency=medium

  * Initial upstream release (Closes: #1002831)

 -- Gioele Barabucci <gioele@svario.it>  Tue, 15 Feb 2022 20:21:15 +0100

=== debian/control ===
Source: lsb-release-minimal
Section: misc
Priority: optional
Maintainer: Gioele Barabucci <gioele@svario.it>
Build-Depends: debhelper-compat (= 13), podlators-perl, shellcheck
Standards-Version: 4.6.1
Homepage: https://gioele.io/lsb-release-minimal
Vcs-Browser: https://salsa.debian.org/gioele/lsb-release-minimal
Vcs-Git: https://salsa.debian.org/gioele/lsb-release-minimal.git
Rules-Requires-Root: no

Package: lsb-release-minimal
Provides: lsb-release
Conflicts: lsb-release
Replaces: lsb-release
Architecture: all
Depends: ${misc:Depends}
Description: Linux Standard Base version reporting utility (minimal implementation)
 The Linux Standard Base (http://www.linuxbase.org/) is a standard
 core system that third-party applications written for Linux can
 depend upon.
 .
 The lsb-release command is a simple tool to help identify the Linux
 distribution being used and its compliance with the Linux Standard Base.
 .
 This package contains a bare-bones implementation that uses the
 information in /etc/os-release instead of relying on LSB packages.

## lsb-release-minimal 0.5

=== debian/changelog ===
lsb-release-minimal (0.5-1) unstable; urgency=medium

  * New upstream release
  * d/control: Mark package as Multi-Arch: foreign

 -- Gioele Barabucci <gioele@svario.it>  Tue, 09 Aug 2022 17:08:28 +0200

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
 Conflicts: lsb-release
 Replaces: lsb-release
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Linux Standard Base version reporting utility (minimal implementation)
  The Linux Standard Base (http://www.linuxbase.org/) is a standard

## lsb-release-minimal 0.6

=== Makefile ===
--- 
+++ 
@@ -13,11 +13,12 @@
 
 check:
 	shellcheck $(SHELLCHECK_OPTS) lsb_release
+	bats lsb_release.bats
 
 clean:
 	rm -f lsb_release.1
 
-install: lsb_release.1
+install: all
 	$(INSTALL) -D lsb_release $(DESTDIR)$(prefix)/bin/lsb_release
 	$(INSTALL) -D lsb_release.1 -m 0444 -t $(DESTDIR)$(prefix)/share/man/man1/

=== debian/changelog ===
lsb-release-minimal (0.6-2) unstable; urgency=medium

  * d/tests/alternative-bin-sh: Test with dash and bash

 -- Gioele Barabucci <gioele@svario.it>  Sat, 20 Aug 2022 07:48:28 +0200

lsb-release-minimal (0.6-1) unstable; urgency=medium

  * New upstream release
  * d/control: Build-Depend on bats for the testsuite
  * d/gitlab-ci: Add standard CI instructions
  * d/tests: Add autopkgtests

 -- Gioele Barabucci <gioele@svario.it>  Wed, 10 Aug 2022 15:36:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: Gioele Barabucci <gioele@svario.it>
-Build-Depends: debhelper-compat (= 13), podlators-perl, shellcheck
+Build-Depends:
+ debhelper-compat (= 13),
+ bats,
+ podlators-perl,
+ shellcheck,
 Standards-Version: 4.6.1
 Homepage: https://gioele.io/lsb-release-minimal
 Vcs-Browser: https://salsa.debian.org/gioele/lsb-release-minimal

=== debian/tests/control ===
Tests:
 etc-precedence,
 no-os-release,
Restrictions: breaks-testbed, needs-root

Tests:
 alternative-bin-sh,
Depends: bats, shellcheck, bash, dash
Restrictions: breaks-testbed, needs-root

## lsb-release-minimal 12.0

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 INSTALL=install
 prefix=/usr
 
-VERSION=0.4
+VERSION=12.0
 
 POD2MAN_OPTS=--center="User Commands" --release="lsb_release $(VERSION)"
-SHELLCHECK_OPTS=-e SC1090,SC2018,SC2019 -x
+SHELLCHECK_OPTS=-e SC1090 -x
 
 all: lsb_release.1

=== debian/changelog ===
lsb-release-minimal (12.0-2) unstable; urgency=medium

  * d/tests/alternative-bin-sh: Test with mksh (lk)sh
  * d/control: Fix spelling of lsb_release
  * d/tests/alternative-bin-sh: Reset `/bin/sh` link at exit or in case of error
    (LP: #2004500)
  * d/control: Stop building transitional package `lsb-release-minimal`
  * d/control: Update standards version to 4.6.2, no changes needed

 -- Gioele Barabucci <gioele@svario.it>  Wed, 05 Jul 2023 17:34:50 +0200

lsb-release-minimal (12.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: Rename binary package to `lsb-release`
  * d/control: Build transitional package
  * d/tests/alternative-bin-sh: Test with busybox sh

 -- Gioele Barabucci <gioele@svario.it>  Mon, 26 Sep 2022 22:06:28 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,13 @@
  bats,
  podlators-perl,
  shellcheck,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://gioele.io/lsb-release-minimal
 Vcs-Browser: https://salsa.debian.org/gioele/lsb-release-minimal
 Vcs-Git: https://salsa.debian.org/gioele/lsb-release-minimal.git
 Rules-Requires-Root: no
 
-Package: lsb-release-minimal
-Provides: lsb-release
-Conflicts: lsb-release
-Replaces: lsb-release
+Package: lsb-release
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
@@ -25,7 +22,7 @@
  core system that third-party applications written for Linux can
  depend upon.
  .
- The lsb-release command is a simple tool to help identify the Linux
+ The lsb_release command is a simple tool to help identify the Linux
  distribution being used and its compliance with the Linux Standard Base.
  .
  This package contains a bare-bones implementation that uses the

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 Tests:
  alternative-bin-sh,
-Depends: bats, shellcheck, bash, dash
+Depends: bats, shellcheck, bash, busybox, dash, mksh
 Restrictions: breaks-testbed, needs-root

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%lsb-release-minimal-$1$2%" \
    https://salsa.debian.org/gioele/lsb-release-minimal/-/tags?sort=updated_desc \
    archive/v@ANY_VERSION@/lsb-release-minimal-v\d\S*@ARCHIVE_EXT@

## lsb-release-minimal 12.1

=== Makefile ===
# SPDX-FileCopyrightText: 2021 Gioele Barabucci
# SPDX-License-Identifier: ISC

VERSION = 12.1

# Paths
prefix = /usr
exec_prefix = $(prefix)
bindir = $(prefix)/bin
datarootdir = $(prefix)/share
mandir = $(datarootdir)/man

# Programs and options
BATS = bats
INSTALL = install
POD2MAN = pod2man
POD2MAN_OPTS = --center="User Commands" --release="lsb_release $(VERSION)"
SHELLCHECK = shellcheck
SHELLCHECK_OPTS = -e SC1090 -x

# Genrated files
MANPAGE = lsb_release.1

GENERATED_FILES = $(MANPAGE)

all: $(GENERATED_FILES)

%.1: %.pod
	$(POD2MAN) $(POD2MAN_OPTS) $< > $@

check:
	$(SHELLCHECK) $(SHELLCHECK_OPTS) lsb_release
	$(BATS) lsb_release.bats
	@echo "All checks passed"

clean:
	rm -f $(GENERATED_FILES)

install: all
	$(INSTALL) -D lsb_release $(DESTDIR)$(bindir)/lsb_release
	$(INSTALL) -D $(MANPAGE) -m 0444 -t $(DESTDIR)$(mandir)/man1/

.PHONY: all check clean install

=== debian/changelog ===
lsb-release-minimal (12.1-2) unstable; urgency=medium

  * d/control: Add build dependency on `bsdutils`
    Thanks to Santiago Vila for reporting the FTBFS issue (Closes: #1118424)
  * d/tests: Trigger debci when Essential dependencies are updated
  * d/tests: Add test-time dependency on `bsdutils`
  * d/control: Remove the now superfluous `Rules-Requires-Root: no`
  * d/control: Remove the now superfluous `Priority: optional`
  * d/control: Update standards version to 4.7.2, no changes needed

 -- Gioele Barabucci <gioele@svario.it>  Mon, 20 Oct 2025 07:13:43 +0200

lsb-release-minimal (12.1-1) unstable; urgency=medium

  * New upstream release
    - Closes: #1073581
  * d/control: Add `bats-assert` to the build dependencies
  * d/control: Mark build dependencies used only for checks
  * d/control: Mark build dependencies used only for docs
  * d/t/control: Install `bats-assert` in testbed
  * d/salsa-ci: Move to canonical location
  * d/salsa-ci: Enable tests of nocheck and nodoc profiles
  * d/watch: Update upstream URL
  * d/gbp.conf: Fully adopt DEP-14 branch layout
  * d/u/metadata: Add upstream metadata
  * d/control: Update standards version to 4.7.0, no changes needed
  * d/copyright: Use 0BSD for Debian packaging

 -- Gioele Barabucci <gioele@svario.it>  Thu, 20 Jun 2024 20:34:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: lsb-release-minimal
 Section: misc
-Priority: optional
 Maintainer: Gioele Barabucci <gioele@svario.it>
 Build-Depends:
  debhelper-compat (= 13),
- bats,
- podlators-perl,
- shellcheck,
-Standards-Version: 4.6.2
+ bats <!nocheck>,
+ bats-assert <!nocheck>,
+ bsdutils <!nocheck>,
+ podlators-perl <!nodoc>,
+ shellcheck <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://gioele.io/lsb-release-minimal
 Vcs-Browser: https://salsa.debian.org/gioele/lsb-release-minimal
 Vcs-Git: https://salsa.debian.org/gioele/lsb-release-minimal.git
-Rules-Requires-Root: no
 
 Package: lsb-release
 Architecture: all

=== debian/tests/control ===
Tests:
 etc-precedence,
 no-os-release,
Restrictions: breaks-testbed, needs-root

Tests:
 alternative-bin-sh,
Depends:
 bats, bats-assert,
 bsdutils, shellcheck,
 bash, busybox, dash, mksh
Restrictions: breaks-testbed, needs-root

Test-Command: true
Depends: base-files, coreutils, util-linux
Restrictions: hint-testsuite-triggers

=== debian/watch ===
version=4
https://gioele.io/lsb-release-minimal/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
